karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rodrigo Serra <rodrigo.se...@jlab.com.ar>
Subject Re: generated feature file in karaf-maven-plugin 3.0.3 don't work in karaf 4.0.0.M2
Date Fri, 27 Feb 2015 13:56:03 GMT
Thank JB, i upgrade  the versión of the plugin to 4.0.0.M2 and works.

Regards,
Rodrigo

> El 27/2/2015, a las 5:09, Jean-Baptiste Onofré <jb@nanthrax.net> escribió:
> 
> Hi Rodrigo,
> 
> yes, the feature namespace version (and so content) is different between 3.0.3 and 4.0.0.M2.
> 
> If you change the namespace in the generated features.xml, it should work.
> 
> Regards
> JB
> 
> On 02/27/2015 02:16 AM, Rodrigo Serra wrote:
>> Hello,
>> 
>> I found problem with karaf-maven-plugin 3.0.3 generated feature file in karaf 4.0.0.M2.
When try command feature:repo-add fail with this exception:
>> 
>> java.io.IOException: Unsupported namespace: http://karaf.apache.org/xmlns/features/v1.2.1
: mvn:ar.com.jlab.osgi.karaf/jpa-eclipselink/1.0.2-SNAPSHOT/xml/features
>> 	at org.apache.karaf.features.internal.service.RepositoryImpl.load(RepositoryImpl.java:78)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.loadRepository(FeaturesServiceImpl.java:346)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.addRepository(FeaturesServiceImpl.java:366)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.command.RepoAddCommand.doExecute(RepoAddCommand.java:50)[28:org.apache.karaf.features.command:4.0.0.M2]
>> 	at org.apache.karaf.features.command.FeaturesCommandSupport.execute(FeaturesCommandSupport.java:33)[28:org.apache.karaf.features.command:4.0.0.M2]
>> 	at org.apache.karaf.shell.impl.action.command.ActionCommand.execute(ActionCommand.java:83)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.karaf.shell.impl.console.osgi.secured.SecuredCommand.execute(SecuredCommand.java:67)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.karaf.shell.impl.console.osgi.secured.SecuredCommand.execute(SecuredCommand.java:87)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:480)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:406)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:182)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:119)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:94)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at org.apache.karaf.shell.impl.console.ConsoleSessionImpl.run(ConsoleSessionImpl.java:267)[41:org.apache.karaf.shell.core:4.0.0.M2]
>> 	at java.lang.Thread.run(Thread.java:745)[:1.7.0_67]
>> Caused by: java.lang.IllegalArgumentException: Unsupported namespace: http://karaf.apache.org/xmlns/features/v1.2.1
>> 	at org.apache.karaf.features.internal.model.JaxbUtil.getSchema(JaxbUtil.java:162)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.internal.model.JaxbUtil.unmarshalValidate(JaxbUtil.java:124)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.internal.model.JaxbUtil.unmarshal(JaxbUtil.java:104)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	at org.apache.karaf.features.internal.service.RepositoryImpl.load(RepositoryImpl.java:76)[6:org.apache.karaf.features.core:4.0.0.M2]
>> 	... 15 more
>> 
>> When i change the version of plugin to 4.0.0.M2 works.
>> 
>> Is this the espected behavior?
>> 
>> Regards,
>> Rodrigo
>> 
>> 
> 
> -- 
> Jean-Baptiste Onofré
> jbonofre@apache.org
> http://blog.nanthrax.net
> Talend - http://www.talend.com


Mime
View raw message